<template>
  <div>
    <img id="Anastasis" src="/ressources/anastasis-green.png" alt="" />

    <Console :textConsole="textConsole" />

    <div class="box" v-if="audioVisible">
      <audio controls src="/../ressources/message-creator.mp3">
        Votre navigateur ne supporte pas l'élément <code>audio</code>.
      </audio>
    </div>
  </div>
</template>

<script>
import Console from "../components/Console.vue";
export default {
  name: "FinalGoodEndPage",
  components: {
    Console,
  },
  data() {
    return {
      textConsole: GOOD_END_TEXT,
      audioVisible: false,
      timeout: null,
    };
  },
  beforeCreate: function () {
    document.body.className = "body-console";
  },
  mounted: function () {
    this.timeout = setTimeout(
      function () {
        this.audioVisible = true;
      }.bind(this),
      42 * this.textConsole.length
    );
  },
  beforeDestroy: function () {
    document.body.classList.remove("body-console");
    clearTimeout(this.timeout);
  },
};

const GOOD_END_TEXT = `
///Script de suppression des données\\\\\\

Suppression des données en cours....................................................................................

Fichiers supprimés.

Procédure réussie.
Un message du créateur est disponible.

Fin du programme.

`;
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style></style>
